Bug 1314895 - Review Request: dynaplugz - Dynamic plugin-loading like a boss
Review Request: dynaplugz - Dynamic plugin-loading like a boss
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 14:00 EST by Björn "besser82" Esser
Modified: 2016-03-05 13:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 04:49:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Björn "besser82" Esser 2016-03-04 14:00:36 EST
Description:

  Dynamic plugin-loading lika a boss.


Koji Builds:

  rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=13229054


Issues:

  fedora-review shows no obvious issues:
    - Package installs properly.
      Note: Installation errors (see attachment)
        --> known bug in fedora-review

    - All build dependencies are listed in BuildRequires, except
      for any that are listed in the exceptions section of Packaging
      Guidelines.
      Note: These BR are not needed: gcc-c++
        --> NOT part of the recent guidlines anymore.

  rpmlint:
    dynaplugz-devel.x86_64: W: only-non-binary-in-usr-lib
      -->  false positive for .so-symlink

    dynaplugz.src:128: W: macro-in-comment %{_pkgdocdir}
    dynaplugz.src:129: W: macro-in-comment %{_pkgdocdir}
      -->  will fix both during import.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/dynaplugz.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/dynaplugz-0.0.0.0-0.1.git20160304.589c448.fc25.src.rpm


Additional Information:

  This package is still WIP by upstream (I'm a member of them).
  I just want to have this available in PkgDB to have it ready
  as soon as it will be needed.


Thanks for review in advance!
Comment 1 Upstream Release Monitoring 2016-03-05 02:56:42 EST
besser82's scratch build of dynaplugz-0.0.0.0-0.1.git20160304.589c448.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13234986
Comment 2 Christian Dersch 2016-03-05 04:35:01 EST
Looks good to me => Approved

Just some comments:
* Please fix macros in comments on SCM import
* You write: "This package is still WIP by upstream", I approved because the package is formally ok, but to be honest, I think you should use something like COPR until it is usable. Especially think about ABI and API breaks during development when you push this to stable releases. Confirm https://fedoraproject.org/wiki/Updates_Policy#All_other_updates


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===> Known issue with dnf (fails if package listed twice...), false positive

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

===> False positive (BR needed in current guidelines)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/review/1314895-dynaplugz/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/cmake(ignition-
     math-devel, openobex-devel, qaccessibilityclient-devel, libyui-qt-
     devel, telepathy-qt4-devel, libyui-ncurses-devel, libyui-gtk-devel,
     qt5-qtbase, cmake, libkexiv2-devel, cryptominisat4-devel, freetiger-
     devel, dyninst-devel, GeographicLib-devel, qmobipocket-devel, phonon-
     qt5-devel, PackageKit-Qt-devel, PackageKit-Qt5-devel, grantlee-devel,
     qjson-devel, gazebo-devel, FlightCrew-devel, gflags-devel, kdevelop-
     pg-qt-devel, pulseaudio-libs-devel, elektra-devel, strigi-devel,
     phonon-devel, telepathy-qt5-devel, libyui-devel, qt5-qtlocation)

===> OK in case of cmake files

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     dynaplugz-doc , dynaplugz-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

===> False positive as mentioned above

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/review/1314895-dynaplugz/results/dynaplugz-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm /home/review/1314895-dynaplugz/results/dynaplugz-devel-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm /home/review/1314895-dynaplugz/results/dynaplugz-doc-0.0.0.0-0.1.git20160304.589c448.fc25.noarch.rpm /home/review/1314895-dynaplugz/results/dynaplugz-debuginfo-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm /home/review/1314895-dynaplugz/results/dynaplugz-debuginfo-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/review/1314895-dynaplugz/results/dynaplugz-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm /home/review/1314895-dynaplugz/results/dynaplugz-devel-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm /home/review/1314895-dynaplugz/results/dynaplugz-doc-0.0.0.0-0.1.git20160304.589c448.fc25.noarch.rpm /home/review/1314895-dynaplugz/results/dynaplugz-debuginfo-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm /home/review/1314895-dynaplugz/results/dynaplugz-debuginfo-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: dynaplugz-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm
          dynaplugz-devel-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm
          dynaplugz-doc-0.0.0.0-0.1.git20160304.589c448.fc25.noarch.rpm
          dynaplugz-debuginfo-0.0.0.0-0.1.git20160304.589c448.fc25.x86_64.rpm
          dynaplugz-0.0.0.0-0.1.git20160304.589c448.fc25.src.rpm
dynaplugz-devel.x86_64: W: only-non-binary-in-usr-lib
dynaplugz.src:128: W: macro-in-comment %{_pkgdocdir}
dynaplugz.src:129: W: macro-in-comment %{_pkgdocdir}
dynaplugz.src: E: specfile-error warning: Macro expanded in comment on line 128: #doc %{_pkgdocdir}/ChangeLog
dynaplugz.src: E: specfile-error 
dynaplugz.src: E: specfile-error warning: Macro expanded in comment on line 129: #doc %{_pkgdocdir}/NEWS
5 packages and 0 specfiles checked; 3 errors, 3 warnings.

===> Please fix this specfile error on SCM import (although nothing bad should happen without fix)


Requires
--------
dynaplugz-doc (rpmlib, GLIBC filtered):

dynaplugz (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

dynaplugz-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    dynaplugz(x86-64)
    libdynaplugz.so.0.0.0()(64bit)

dynaplugz-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
dynaplugz-doc:
    dynaplugz-doc

dynaplugz:
    dynaplugz
    dynaplugz(x86-64)
    libdynaplugz.so.0.0.0()(64bit)

dynaplugz-devel:
    cmake(Dynaplugz)
    dynaplugz-devel
    dynaplugz-devel(x86-64)
    pkgconfig(dynaplugz)

dynaplugz-debuginfo:
    dynaplugz-debuginfo
    dynaplugz-debuginfo(x86-64)



Source checksums
----------------
https://github.com/shogun-toolbox/dynaplugz/archive/589c448aa93f27e28533d5474e07272efcf889e7.tar.gz#/dynaplugz-0.0.0.0-git20160304-589c448.tar.gz :
  CHECKSUM(SHA256) this package     : 4d8e6588cb7c0f27d375eb1591de4142880b6bf2838638dee2f4cdc4a9bf3a76
  CHECKSUM(SHA256) upstream package : 4d8e6588cb7c0f27d375eb1591de4142880b6bf2838638dee2f4cdc4a9bf3a76


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1314895
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Björn "besser82" Esser 2016-03-05 04:49:24 EST
(In reply to Christian Dersch from comment #2)
> Looks good to me => Approved
> 
> Just some comments:
> * Please fix macros in comments on SCM import
> * You write: "This package is still WIP by upstream", I approved because the
> package is formally ok, but to be honest, I think you should use something
> like COPR until it is usable. Especially think about ABI and API breaks
> during development when you push this to stable releases. Confirm
> https://fedoraproject.org/wiki/Updates_Policy#All_other_updates

Thank you for the quick review! ^^  Macros will be properly comented out.  I won't push it to anything but Rahwide, before the first release will be there;  it will be needed for later releases of Shogun and all.  Since I'm the main upstream-author and all and there are currently no consumers of that lib, everything will go fine.  =)
Comment 4 Gwyn Ciesla 2016-03-05 13:40:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/dynaplugz

Note You need to log in before you can comment on or make changes to this bug.